Loading...
Searching...
No Matches
Opm::EQUIL::Miscibility::RsFunction< Scalar > Class Template Referenceabstract

Base class for phase mixing functions. More...

`#include <EquilibrationHelpers.hpp>`

Inheritance diagram for Opm::EQUIL::Miscibility::RsFunction< Scalar >:

## Public Member Functions

virtual Scalar | operator() (const Scalar depth, const Scalar press, const Scalar temp, const Scalar sat=0.0) const =0
| Function call operator.

## Detailed Description

template<class Scalar>
class Opm::EQUIL::Miscibility::RsFunction< Scalar >

Base class for phase mixing functions.

## Member Function Documentation

## operator()()

template<class Scalar>

virtual Scalar Opm::EQUIL::Miscibility::RsFunction< Scalar >::operator() | ( | const Scalar | depth,
|  | const Scalar | press,
|  | const Scalar | temp,
|  | const Scalar | sat = 0.0 ) const

pure virtual

Function call operator.

Parameters

  [in] | depth | Depth at which to calculate RS value.
  [in] | press | Pressure at which to calculate RS value.
  [in] | temp | Temperature at which to calculate RS value.
  [in] | sat | Saturation at which to calculate RS value.

Returns
  Dissolved gas-oil ratio (RS) at depth `depth` and pressure `press`.

Implemented in Opm::EQUIL::Miscibility::NoMixing< Scalar >.

The documentation for this class was generated from the following file:

- opm/simulators/flow/equil/EquilibrationHelpers.hpp